%define name	klvemkdvd
%define version	0.4
%define release 2mdk

Name: 	 	%{name}
Summary: 	DVD authoring GUI
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.src.tar.bz2
Patch:		%{name}-0.4-cpp.patch.bz2
URL:		http://lvempeg.sourceforge.net/klvemkdvd.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdebase-devel ImageMagick
Requires:	lve dvdauthor dvd+rw-tools

%description
Klvemkdvd is able to build (and burn) DVD filesystems from
various mpeg media files.

The main intention of klvemkdvd is to build DVDs from
project files (edit lists) created with lve editor,
but it can use other kind of mpegs (VOB, TS, PS, PVA, ...)
as input also.
 
%prep
%setup -q
%patch -p1

%build
%configure2_5x --disable-rpath
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="KLVEmkdvd" longtitle="DVD authoring GUI" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 16x16 src/hi32-app-klvemkdvd.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/hi32-app-klvemkdvd.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 48x48 src/hi32-app-klvemkdvd.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_bindir}/%name
%{_datadir}/applnk/Utilities/*
%{_datadir}/apps/%name
%doc %{_datadir}/doc/HTML/en/%name
%{_iconsdir}/hicolor/*/apps/*.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Jun 12 2004 Austin Acton <austin@mandrake.org> 0.4-2mdk
- configure 2.5
- patch for new cpp

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Tue Jan 13 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- initial package
